Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044951
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2020-09-01 14:112020-09-07 18:22
ReportergorkaionView Statuspublic 
Assigned Toinigo_lerga 
PriorityhighResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044951: Update ABC button of Pareto Product Report not working.

DescriptionWhen the Update ABC button of Pareto Product report is clicked an error is raised making it unable to use.
Steps To Reproduce* Activate the instance to make Pareto Report available.
* Open the Pareto Report
* Select Organization F&B España and currency EUR
* Click on Search
* Some results are shown
* Click on Update ABC button
* An error is raised.
Proposed SolutionThe issue is in the class ReportParetoProduct.

This class manages the execution of that button in the mUpdateParetoProduct method. This method currently is executing ad_process_id 1000500001. That id is the legacy update process already removed on latest releases. The correct process id created for the new cost engine is 9CD67D41E43242CDA034FB994B75812A

Find attached a diff that changes the id
TagsNo tags attached.
Attached Filesdiff file icon processid-fix.diff [^] (1,108 bytes) 2020-09-01 14:11 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0122551)
inigo_lerga (developer)
2020-09-02 16:17
edited on: 2020-09-07 18:21

--Test Plan Mantis --
Beforehand, the the instance must be activated.

As the F&B International Group Admin role in Backend:
  - Go to Pareto Report window and select Organization "F&B España, S.A" and
    currency EUR.
    Click on Search.
    Press the Update ABC button.

#In this moment the correct process is executed"

The process finishes successfully with a message similar to:
"Process completed successfully
Created=28, Updated=0"

(0122774)
hgbot (developer)
2020-09-07 18:21

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: f7442ac372c2fcf6304bc79318934a30f53216f7
Author: inigo_lerga <inigo.lerga@openbravo.com>
Date: 2020-09-07T16:21:34+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/f7442ac372c2fcf6304bc79318934a30f53216f7 [^]

fixes BUG-44951:Updated process id

Old process id is the legacy update process that has already
been removed. New one is used with this fix.

---
M src/org/openbravo/erpCommon/ad_reports/ReportParetoProduct.java
---
(0122775)
dmiguelez (developer)
2020-09-07 18:22

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-09-01 14:11 gorkaion New Issue
2020-09-01 14:11 gorkaion Assigned To => Triage Finance
2020-09-01 14:11 gorkaion File Added: processid-fix.diff
2020-09-01 14:11 gorkaion Modules => Core
2020-09-01 14:11 gorkaion Triggers an Emergency Pack => No
2020-09-01 15:34 dmiguelez Assigned To Triage Finance => inigo_lerga
2020-09-02 16:17 inigo_lerga Note Added: 0122551
2020-09-02 16:18 inigo_lerga Status new => scheduled
2020-09-07 18:21 dmiguelez Note Edited: 0122551 View Revisions
2020-09-07 18:21 hgbot Resolution open => fixed
2020-09-07 18:21 hgbot Status scheduled => resolved
2020-09-07 18:21 hgbot Fixed in Version => PR20Q4
2020-09-07 18:21 hgbot Note Added: 0122774
2020-09-07 18:22 dmiguelez Review Assigned To => dmiguelez
2020-09-07 18:22 dmiguelez Note Added: 0122775
2020-09-07 18:22 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker